#include <GDIPlus.au3>

_GDIPlus_Startup()

$iBGColor = 0xFFFFFF
$iW = 880
$iH = 150
$hgui = GUICreate("Outlined Text Effect", $iW, $iH)
GUISetBkColor($iBGColor, $hgui)
GUISetState()

$hGraphic = _GDIPlus_GraphicsCreateFromHWND($hGUI)

$hBitmap = _GDIPlus_BitmapCreateFromGraphics($iW, $iH, $hGraphic)
$hBackbuffer = _GDIPlus_ImageGetGraphicsContext($hBitmap)
 _GDIPlus_GraphicsSetSmoothingMode($hBackbuffer, 2)
 _GDIPlus_GraphicsSetTextRenderingHint($hBackbuffer, 4)
 _GDIPlus_GraphicsClear($hBackbuffer, 0xFF000000 + $iBGColor)

$hFamily = _GDIPlus_FontFamilyCreate("Verdana")
$hFormat = _GDIPlus_StringFormatCreate()
$tLayout = _GDIPlus_RectFCreate(0, 0, 0, 0)

$hPath = _GDIPlus_PathCreate()
_GDIPlus_PathAddString($hPath, "Outlined Text", $tLayout, $hFamily, 0, 90  * 1.333333, $hFormat)

$hPen = _GDIPlus_PenCreate(0xF0000000, 8)
_GDIPlus_GraphicsDrawPath($hBackbuffer, $hPath, $hPen)

$hBrush = _GDIPlus_BrushCreateSolid(0xFFFF0000)
_GDIPlus_GraphicsFillPath($hBackbuffer, $hPath, $hBrush)

_GDIPlus_GraphicsDrawImageRect($hGraphic, $hBitmap, 0, 0, $iW, $iH)

_GDIPlus_PathDispose($hPath)
_GDIPlus_PenDispose($hPen)
_GDIPlus_BrushDispose($hBrush)
_GDIPlus_FontFamilyDispose($hFamily)
_GDIPlus_StringFormatDispose($hFormat)
_GDIPlus_GraphicsDispose($hBackbuffer)
_GDIPlus_BitmapDispose ($hBitmap)
_GDIPlus_GraphicsDispose($hGraphic)
_GDIPlus_Shutdown()

Do
Until GUIGetMsg() = -3

GUIDelete()
Exit